<template>
	<div class="w100 h100 flex items-center flex-column box-border pr-1">
		<div class="w100 box-border px-[18px] py-0">
			<el-button
				icon="ele-Plus"
				color="#1c86ff"
				class="flex items-center box-border mb-3 justify-center add_room cursor-pointer w-[124px] h-[32.88px] rounded-s-md text-white opacity-100"
			>
				新建聊天室
			</el-button>
		</div>
		<div
			class="w-[210.98px] h-[34px] rounded-t-lg bg-[#2b2c30] box-border mb-3 relative opacity-100 shadow-lg shadow-[[#0e0e0f]-500/50"
		>
			<div class="relative w100 h100">
				<el-input v-model="state.searchInput" placeholder="搜索" class="set-input">
					<template #prefix>
						<el-icon @click="selectDateChange"><search /></el-icon>
					</template>
				</el-input>
			</div>
			<div class="absolute top-[100%] w-[84px] z-[1001] left-0" v-show="state.isShowDate">
				<div class="w100 bg-[#fff] px-[0px] py-[5px]" v-for="item in state.selectDateOption" :key="item.value">
					<div class="w100 relative h-[28px] flex items-center justify-center cursor-pointer">{{ item.label }}</div>
				</div>
			</div>
		</div>
	</div>
</template>

<script setup lang="ts">
import { Search } from '@element-plus/icons-vue';
import { reactive } from 'vue';
let state = reactive({
	searchInput: '',
	selectDateOption: [
		{
			label: '全部',
			value: 0,
		},
		{
			label: '一周内',
			value: 1,
		},
		{
			label: '一月内',
			value: 2,
		},
		{
			label: '一月前',
			value: 3,
		},
	],
	isShowDate: false,
});
const selectDateChange = () => {
	state.isShowDate = !state.isShowDate;
};
</script>
<style scoped lang="scss">
.set-input {
	:deep(.el-input__wrapper) {
		width: 100%;
		height: 100%;
		font-size: 12px;
		font-weight: 400;
		letter-spacing: 0;
		color: #e5e5e5;
		border-radius: 6px;
		border: 1px solid transparent;
		box-sizing: border-box;
		line-height: 34px;
		// padding-left: 31px;
		padding-right: 10px;
		background-color: transparent;
		cursor: pointer;
		transition: color 0.2s ease-in-out;
		box-shadow: unset;
	}
}
</style>
